#!/usr/bin/env python
import re
import smtplib
import string
from datetime import datetime
 
#### Variables here ##############
host = 'zenoss-server.fqdn.com'                 # Zenoss Server IP or resolvable name
to = 'zenoss@zenmailtest'                           # This can be anything, zenmail drops it
sender = 'user@target-device'                    # 'target-device' will have an event created
subject = 'Test zenmail event'                   # This sets the event Summary
msgbody = 'Sample event from zenmail'    # This sets the event Message
timezone = 'CDT'                                          # Timezone
###########################

initdate = datetime.now().strftime('%a %b %d %T %Z %Y')
tzcheck = re.compile('(\s\s)')
date = tzcheck.sub(' '+timezone+' ', initdate)

msg = string.join((
        "From: %s" % sender,
        "To: %s" % to,
	"Date: %s" % date,
        "Subject: %s" % subject,
        "",
        msgbody
        ), "\r\n")

server = smtplib.SMTP(host,25)  # Change '25' to the correct port if needed
server.sendmail(sender, [to], msg)
server.quit()
